:root {
    /*TIPOGRAFIAS*/
    --fuente-logo: "Atma", system-ui;
    --fuente-texto: "Dosis", sans-serif;
    ;

    /*PALETA DE COLORES*/
    --negro: #343434;
    --gris-claro: #EEEEEE;
    --gris-oscuro: #999999;
    --azul-oscuro: #493D9E;
    --beige: #FFF8DE;
    --aqua: #6AECE1;
    --lila: #C47BE4;

}

html {
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-padding-top: 0rem;
    scroll-behavior: smooth;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    font-family: var(--fuente-texto);
    font-weight: 400;
    font-style: normal;
    font-size: 2rem;
    color: var(--negro);
    line-height: 1.5;
}

/* Globales */

.contenedor {
    max-width: 120rem;
    width: 90%;
    margin-inline: auto;
}

h1,
h2,
h3 {
    margin: 0;
    font-family: var(--fuente-logo);
}

h1 {
    font-size: 5rem;
}

h2 {
    font-size: 3rem;
}

h3 {
    font-size: 2rem;
}

section>h2 {
    margin: 5rem 0 4rem 0;
    text-align: center;
}

p {
    margin: 0;
}

a {
    text-decoration: none;
    color: var(--negro);
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

img {
    max-width: 100%;
    display: block;
    height: auto;
}

/* Utilidades */

.text-center {
    text-align: center;
}

/* Degradados */

.degradado {
    color: var(--beige);
    background: linear-gradient(to right, var(--aqua) 0%, var(--lila) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
}

/* Header */

.header {
    font-family: var(--fuente-logo);
    background-color: var(--azul-oscuro);
    padding: 10rem 0;
    color: var(--beige);
}

@media (width > 768px) {
    .contenido-header {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

.texto-header {
    text-align: center;
    margin-top: 3rem;
}

@media (width > 768px) {

    .imagen-header {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .texto-header {
        text-align: left;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        margin-top: 0;
    }
}


.tagline-producto {
    font-size: 3rem;
    font-weight: 700;
}

.nombre-producto {
    font-size: 6rem;
}

@media (width > 768px) {
    .nombre-producto {
        font-size: 9rem;
    }
}

.precio-producto span {
    font-size: 6rem;
    font-weight: 700;
}

/* Iconos */

.iconos {
    padding: 0 0 5rem;
}

@media (width > 768px) {
    .iconos {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        align-items: end;
        gap: 2rem;
        padding: 5rem 0;
    }
}

.icono {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.icono:nth-child(2),
.icono:nth-child(3) {
    margin-top: 2rem;
}

.icono img {
    width: 30rem;
}


/* Sobre */

.sobre-wheel {
    background-image: linear-gradient(to bottom, transparent 50%, var(--lila) 0%), url(../img/sobre.jpg);
    background-repeat: repeat, no-repeat;
    background-position: center center;
    background-size: 100%, 120rem;
}

@media (width > 768px) {
    .sobre-wheel {
        background-image: linear-gradient(to left, transparent 50%, var(--lila) 0%), url(../img/sobre.jpg);
        background-repeat: repeat, no-repeat;
        background-position: right;
    }
}

@media (width > 1600px) {
    .sobre-wheel {
        background-size: 100%, 130rem;
    }
}

.sobre-wheel-grid {
    display: grid;
    grid-template-rows: repeat(2, 40rem);
}

@media (width > 768px) {
    .sobre-wheel-grid {
        grid-template-rows: unset;
        grid-template-columns: repeat(2, 1fr);
        gap: unset;
    }
}

.texto-sobre-wheel {
    grid-row: 2 / 3;
    color: var(--beige);
    padding: 4rem 0;
}

.texto-sobre-wheel h2 {
    font-size: 3.4rem;
}

.texto-sobre-wheel p {
    font-size: 2.4rem;
}

.texto-sobre-wheel ul {
    font-size: 2.4rem;
    line-height: 1.8;
    margin: 1rem;

    li {
        display: inline-flex;
        align-items: center;
        gap: 1rem;
    }
}

@media (width > 768px) {
    .texto-sobre-wheel {
        padding-left: 5rem;
    }
}

/* Modelos */

.modelos {
    padding: 5rem 0;

    h2 {
        font-size: 4.8rem;
        margin-bottom: 3rem;
    }
}

.listado-modelos {
    display: flex;
    flex-direction: column-reverse;
}

@media (width > 768px) {
    .listado-modelos {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
        gap: 4rem;
    }
}

.modelo {
    background-color: var(--gris-claro);
    margin-bottom: 2rem;
    padding: 2rem;
    border-radius: 2rem;
    color: var(--azul-oscuro);
    min-height: 20rem;
    background-repeat: no-repeat;
    background-position: 100%;
    background-size: 17rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: transform .3s;

    h3 {
        font-size: 3.6rem;
    }

    span {
        font-size: 2rem;
        display: block;
    }

    .precio {
        font-size: 3.8rem;
        font-weight: 700;
    }
}

.modelo:hover {
    transform: scale(1.1);
}

@media (width > 768px) {
    .modelo {
        margin-bottom: 0;
    }
}

.modelo:first-of-type {
    margin-bottom: 0;
}

.modelo-aqua {
    background-image: url(../img/modelo-aqua.webp);
}

.modelo-black {
    background-image: url(../img/modelo-black.webp);
}

@media (width > 768px) {
    .modelo-corcho {
        grid-column: 2 / 3;
        grid-row: 1 / 3;
        background-size: 30rem;
        background-position: 100%;

        h3 {
            font-size: 4.8rem;
        }
    }
}

.modelo-corcho {
    background-image: url(../img/modelo-corcho.webp);
    background-color: var(--azul-oscuro);
    color: var(--beige);
}

/* Suscribirme */

.suscripcion {
    background-image: linear-gradient(to bottom, transparent 50%, #FFFFFF 0%), url(../img/suscripcion.webp);
    background-position: top center;
    background-repeat: no-repeat;
    background-size: 100%, 50rem;
}

.contenido-suscripcion {
    display: grid;
    grid-template-rows: repeat(2, 30rem);
    gap: 5rem;
}

@media (width > 768px) {
    .suscripcion {
        background-image: linear-gradient(to right, transparent 50%, #FFFFFF 0%), url(../img/suscripcion.webp);
        background-position: center, -10rem 0rem;
        background-size: 100%, 80rem;
        padding: 10rem 0;
    }

    .contenido-suscripcion {
        grid-template-rows: unset;
        grid-template-columns: repeat(2, 1fr);
    }

    .texto-suscripcion {
        grid-row: unset;
        grid-column: 2 / 3;
    }
}

@media (width > 1400px) {
    .suscripcion {
        background-size: 100%, 120rem;
        background-position: center, -10rem 0rem;
    }
}

.texto-suscripcion {
    grid-row: 2 / 3;

    p {
        margin: 2rem 0;
    }
}

.btn {
    display: inline-flex;
    align-items: center;
    /* alineación vertical */
    justify-content: center;
    gap: 1rem;
    /* espacio entre icono y texto */
    background-color: var(--lila);
    width: 100%;
    color: var(--beige);
    font-size: 2.4rem;
    padding: 2rem;
    border: solid 2px var(--lila);
    transition: all .3s ease;
}

.btn:hover {
    background-color: #FFFFFF;
    color: var(--lila);
}

/* Footer */

.footer {
    padding: 5rem 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    border-top: solid 1px var(--gris-claro);
    margin-top: 5rem;
}

.footer-titulo {
    font-size: 2.8rem;
    font-weight: 900;
}

.footer-redes {
    display: flex;
    gap: 2rem;
}

.copy {
    font-size: 1.6rem;
}